No known ld emulation found

Carsten Weinhold weinhold at
Tue Dec 25 16:14:47 CET 2012

Am 25.12.2012 um 15:05 schrieb Torsten Rüger <torsten at>:

> Hi,

Hi Torsten,

> I got the latest fiasco sources, tried to compile on a macbook pro (intel core 2 duo) but i get the above message.
> I did try to set it to amd64 with intel duo option. This is not my final target, i just wanted to play a bit (possibly on an emulator). Do i need a cross compiler or something , because i only have gcc 4.2.1.

The compiler shipping with Xcode cannot be used to compile Fiasco or L4Re. You definitely need a cross compiler tool chain (i686-pc-gnu-linux) and a number of GNU utilities (findutils, gawk, coreutils, zlib, ...). For some stuff in the L4Re source tree you even need GNU libc headers and libs. You also have to put L4Re and L4Linux sources onto a case-sensitive file system, because the root file system on Mac OS X is case insensitive.

> Something simple i'm missing ?

It is possible to (cross) compile on a Mac natively, but the simplest way is probably to install Debian or Ubuntu in a VM and compile the L4 stuff there.

Merry Christmas,

More information about the l4-hackers mailing list